---
apiVersion: v1
# The repository name in registry1, excluding /ironbank/
name: "confluentinc/cp-enterprise-replicator"
# List of tags to push for the repository in registry1
# The most specific version should be the first tag and will be shown
# on ironbank.dso.mil
tags:
  - "7.5.2-1-ubi8"
  - "7.5.2"
  - "7.5.x"
  - "7.5"
# Build args passed to Dockerfile ARGs
args:
  CP_ENTERPRISE_REPLICATOR_BASE_IMAGE: "confluentinc/cp-enterprise-replicator"
  CP_ENTERPRISE_REPLICATOR_SERVER_BASE_TAG: "7.5.2"
  BASE_IMAGE: "confluentinc/cp-base-new"
  BASE_TAG: "Q3_2023"
  CONFLUENT_VERSION: "7.5.2"
# Docker image labels
labels:
  org.opencontainers.image.title: "cp-enterprise-replicator"
  org.opencontainers.image.description: "Official Confluent Docker Image for Replicator"
  org.opencontainers.image.licenses: "CONFLUENT ENTERPRISE LICENSE"
  org.opencontainers.image.url: "https://docs.confluent.io/platform/current/overview.html"
  org.opencontainers.image.vendor: "Confluent"
  org.opencontainers.image.version: "7.5.2"
  mil.dso.ironbank.image.keywords: "confluent,cflt,kafka,replicator,operator,cfk"
  mil.dso.ironbank.image.type: "commercial"
  mil.dso.ironbank.product.name: "Confluent Platform"
resources:
  - tag: confluentinc/cp-enterprise-replicator:7.5.2
    url: docker://docker.io/confluentinc/cp-enterprise-replicator:7.5.2
  - filename: confluent-common-7.5.2-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-common-7.5.2-1.noarch.rpm
    validation:
      type: sha256
      value: 3a4dee9f2426fef48df84d3639425695f8b4af515eb6b15ee245a6cba3b06a10
  - filename: confluent-rebalancer-7.5.2-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-rebalancer-7.5.2-1.noarch.rpm
    validation:
      type: sha256
      value: 60e37332ecb11819c12af0a523fec9ba1d7ebd5138bc221c37b99ccdeb9f81e6
  - filename: confluent-rest-utils-7.5.2-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-rest-utils-7.5.2-1.noarch.rpm
    validation:
      type: sha256
      value: 121df4d01777272584c85dfc178a34879166c88bda1c83e8adef59748d17e60b
  - filename: confluent-security-7.5.2-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-security-7.5.2-1.noarch.rpm
    validation:
      type: sha256
      value: 10c3a10ced9b050cda1c1bbb21a580a3a56d13aa17480b106b123d6dabb22c29
  - filename: confluent-metadata-service-7.5.2-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-metadata-service-7.5.2-1.noarch.rpm
    validation:
      type: sha256
      value: 74a65381bbaa01516bac46becb0f37c94327020e7c1d496a54ba30b1afa02ad1
  - filename: confluent-server-7.5.2-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-server-7.5.2-1.noarch.rpm
    validation:
      type: sha256
      value: 44e0efcea13fc73029c8572a0aa5821746b720b5d9c09512ea6b057e5fc8c504
  - filename: confluent-ce-kafka-http-server-7.5.2-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-ce-kafka-http-server-7.5.2-1.noarch.rpm
    validation:
      type: sha256
      value: fae9d49e314f5014f3034f9c3dc13850fa834b8b3033a841c69f4403adb526bf
  - filename: confluent-server-rest-7.5.2-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-server-rest-7.5.2-1.noarch.rpm
    validation:
      type: sha256
      value: 252caf0680625b35a4b84ca9e29af208777ef7e65d8ebc81245058c850df4e32
  - filename: confluent-telemetry-7.5.2-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-telemetry-7.5.2-1.noarch.rpm
    validation:
      type: sha256
      value: 7d22d0677d2aeb58b79409e752742c53912e4f3c123e53394e75758011316261
  - filename: confluent-kafka-rest-7.5.2-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-kafka-rest-7.5.2-1.noarch.rpm
    validation:
      type: sha256
      value: 05f6cce19cf757e44c90ff28a36e8fee79bdfff615cec37ff41f71407c5bbdca
  - filename: confluent-hub-client-7.5.2-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-hub-client-7.5.2-1.noarch.rpm
    validation:
      type: sha256
      value: 38c8f1a74bb220bcc0fb0b61d74d1a00f75a3ccc3e77a2d9d66db8af9382dd56
  - filename: confluent-control-center-7.5.2-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-control-center-7.5.2-1.noarch.rpm
    validation:
      type: sha256
      value: ef7319a593bdf48c1a883c62fe36cb3bd76ef2c5024f8ba376bd79b30a81a82e
  - filename: confluent-control-center-fe-7.5.2-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-control-center-fe-7.5.2-1.noarch.rpm
    validation:
      type: sha256
      value: ff763114b92f2f83c77041c7dcd59397faf69c7acaac84a4ffdb7899366dbe5d
  - filename: confluent-schema-registry-7.5.2-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-schema-registry-7.5.2-1.noarch.rpm
    validation:
      type: sha256
      value: 7dafb9a8837887cf02941ae31e01b203e9f6f5ac9d04374d81023e7d335acb31
  - filename: confluent-kafka-connect-replicator-7.5.2-1.noarch.rpm
    url: https://packages.confluent.io/rpm/7.5/confluent-kafka-connect-replicator-7.5.2-1.noarch.rpm
    validation:
      type: sha256
      value: f6a310a107553a14e94af4e4dfd65733c5b2a057d1007bf945b362032250a4f0
# List of project maintainers
maintainers:
  - name: "Scott Stroud"
    username: "scottstroud"
    email: "confluent-fed@confluent.io"
    cht_member: false
  - name: "Preston McGowan"
    username: "preston.mcgowan"
    email: "confluent-fed@confluent.io"
    cht_member: false
  - name: "Gary Hott"
    username: "garyhott86"
    email: "confluent-fed@confluent.io"
    cht_member: false
